﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MVVM;

namespace DataGridExecutionList.Model
{
    public class Command : ViewModelBase
    {
        #region Member Variables
        private String _Name;
        private String _Executable;
        private String _parameters;
        private ExecutionState _State;
        #endregion

        #region Constructors
        /// <summary>
        /// The default constructor
        /// </summary>
        public Command()
        {
        }
        #endregion

        #region Properties
        public String Name
        {
            get { return _Name; }
            set
            {
                _Name = value;
                NotifyPropertyChanged("Name");
            }
        }

        public String Executable
        {
            get { return _Executable; }
            set
            {
                _Executable = value;
                NotifyPropertyChanged("Executable");
            }
        }

        public String Parameters
        {
            get { return _parameters; }
            set
            {
                _parameters = value;
                NotifyPropertyChanged("Parameters");
            }
        }

        public ExecutionState State
        {
            get { return _State; }
            set
            {
                _State = value;
                NotifyPropertyChanged("State");
            }
        }
        #endregion

        #region Enums
        public enum ExecutionState
        {
            Failed,
            Incomplete,
            InProgress,
            Success
        }
        #endregion
    }
}
